Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class AbstractCommandMember

    java.lang.Object
      com.pietschy.command.group.impl.AbstractGroupMember
          com.pietschy.command.group.impl.AbstractCommandMember

All Implemented Interfaces:
  GroupMember

Direct Known Subclasses:
  InlineMember, StaticMember

    public abstract class AbstractCommandMember

extends AbstractGroupMember

The base implementation for `GroupMember`s that insert commands.

Constructor Summary
`AbstractCommandMember(CommandGroup parent, Command command)` Creates a new member for the specified command in the specified parent.

Method Summary
`void` | `addNotify()` Invoked to notify that this member has been added to its parent group.
`Command` | `getCommand()` Gets the command this member represents.
`java.lang.Object` | `getId()` Gets the Id of this member.
`CommandGroup` | `getParent()` Gets the parent group that contains this member.
`void` | `removeNotify()` Invoked to notify that this member has been removed from its parent group.
`int` | `size()` Gets the size of this member.

Methods inherited from class com.pietschy.command.group.impl.AbstractGroupMember
`addChangeListener, fireChanged, notifyCommandContainerHierarchyChanged, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.pietschy.command.group.impl.GroupMember
`acceptVisitor, addComponentTo, isMemberFor`

Constructor Detail

### AbstractCommandMember

    public AbstractCommandMember(CommandGroup parent,
                                 Command command)

  Creates a new member for the specified command in the specified parent.

  Parameters:
    `parent` - the group that will contain the member.
    `command` - the command to be included.

Method Detail

### getId

    public java.lang.Object getId()

  Gets the Id of this member. This method returns the commands id.

  Returns:
    the id of this member which is the same as the commands id.

### addNotify

    public void addNotify()

  Description copied from interface: `GroupMember`
  Invoked to notify that this member has been added to its parent group.

### removeNotify

    public void removeNotify()

  Description copied from interface: `GroupMember`
  Invoked to notify that this member has been removed from its parent group.

### size

    public int size()

  Description copied from interface: `GroupMember`
  Gets the size of this member. This should return the number of components that will be added by the next call to `#addComponentTo(JComponent, Factory, String, List, int)`.

  This method should only include real members, i.e. not dynamic members that haven't been resolved.

  Returns:
    the number of components this member represents.

### getCommand

    public Command getCommand()

  Gets the command this member represents.

  Returns:
    the command this member represents.

### getParent

    public CommandGroup getParent()

  Gets the parent group that contains this member.

  Returns:
    the parent group that contains this member.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch